Calculates the value of the given formula
GET /repositories/{repository}/calculations/formulas
Given a formula, this endpoint calculates the time series data for the given range.
Parameters
Section titled “Parameters”| Name | In | Type | Required | Description |
|---|---|---|---|---|
repository |
path | string |
yes | The default repository from which to retrieve time series data referenced in the formula |
calculationCyclic |
query | boolean |
yes | Whether or not to calculate the data on the assumption that the underlying time series data holds cyclic data. |
calculationFunction |
query | integer (int32) | string |
yes | The function type to use during calculation. If not specified, uses the function type of the underlying time series. |
calculationInterval.multiplier |
query | integer (int32) |
yes | A multiplier for the given calculationInterval.type. Default: 1. |
calculationInterval.type |
query | integer (int32) | string |
yes | The interval type to use for calculation (i.e. Hour, Minute, etc.). This and calculationInterval.multiplier affect how data is read from source time series prior to calculation. |
formulaString |
query | string |
yes | The formula/function that defines the time series data. |
from |
query | string (date-time) |
yes | Together with the to parameter, defines the period of time for which data is to be returned. |
to |
query | string (date-time) |
yes | Together with the from parameter, defines the period of time for which data is to be returned. |
calculationIntervalTransformationMethod |
query | integer (int32) | string |
no | The interval transformation method to use during calculation. If not specified, the method of the underlying time series is used. |
calculationStartOfTime |
query | string (date-time) |
no | The start of time that should be used during calculation, that is the hour when a day starts. This is usually zero and is only required in specific edge cases when reading/calculating time series in intervals greater than or equal to one day. If not specified, the startOfDay property of the underlying time series is used. |
calculationTimeZone |
query | string |
no | The time zone that should be used during calculation. This may affect results during DST transitions. If not specified, the time zone of the underlying time series is used. |
calculationUnit |
query | string |
no | The unit to use during calculation. This may affect how underlying/referenced time series data is converted prior to calculation. |
cyclic |
query | boolean |
no | Specifies whether the data should be read as if it is cyclic or not. If not specified, the cyclic property of the underlying time series is used. |
function |
query | integer (int32) | string |
no | Specifies the function type that should be used when reading the data. If none is specified, the function type of the undelying time series is used. |
historicDateTime |
query | string |
no | Specifies the date/time in the history of the time series that should be read. If not specified, the current state of the data is read. |
interval.multiplier |
query | integer (int32) |
no | In combination with the interval.type parameter, this allows for the data to be returned in any conceivable interval, i.e. 15 minutes, 2 hours, 8 weeks, etc. |
interval.type |
query | integer (int32) | string |
no | The interval type (i.e. hour, minute, etc.) in which data should be returned. Interval types can be specified either by their numeric value or by their short string representation. |
intervalTransformationMethod |
query | integer (int32) | string |
no | Specifies the interval transformation method that should be used when reading data in another interval than the underlying time series has set. If not specified then the interval transformation method of the underlying time series is used. |
timeZone |
query | string |
no | The time zone in which the data is to be read. If this is different from the time zone of the underlying time series, some transformations may be applied. |
unit |
query | string |
no | Specifies the unit the data should be read in. Conversion is attempted if possible. If not specified, the unit of the underlying time series is used. |
calculationFunctionType |
query | number |
no | Deprecated. Do not use! Use the parameter function instead. The function type to use during calculation. If not specified, uses the function type of the underlying time series. |
calculationIntervalMultiplier |
query | integer (int32) |
no | Deprecated. Obsolete! Please use the calculationInterval.multiplier parameter instead. A multiplier for the given calculationIntervalType. Default: 1. |
calculationIntervalType |
query | number |
no | Deprecated. Obsolete! Please use the calculationInterval.type parameter instead! The interval type to use for calculation (i.e. Hour, Minute, etc.). This and calculationIntervalMultiplier affect how data is read from source time series prior to calculation. |
functionType |
query | number |
no | Deprecated. Do not use! Use function parameter instead! Specifies the function type that should be used when reading the data. If none is specified, the function type of the undelying time series is used. |
intervalMultiplier |
query | integer (int32) |
no | Deprecated. Obsolete! Please use the interval.multiplier parameter instead! In combination with the intervalType parameter, this allows for the data to be returned in any conceivable interval, i.e. 15 minutes, 2 hours, 8 weeks, etc. |
intervalType |
query | number |
no | Deprecated. Obsolete! Please use the interval.type parameter instead! The interval type (i.e. hour, minute, etc.) in which data should be returned. |
Responses
Section titled “Responses”| Code | Description | Type |
|---|---|---|
200 |
This response is returned when the calculation has been successfully performed. The body of the response contains | object |
4XX |
Indicates that the request failed due to a client error. Please refer to the details provided in the body of the response in order to ensure that the request can be handled properly. | ProblemDetails |
5XX |
Indicates that the request failed due to an error that occurred on the server. Consider reporting this error to the server operators. | ProblemDetails |
| Name | Type | Required | Description |
|---|---|---|---|
data |
TimeSeriesDataOfDouble[] |
no | — |
unit |
UnitReference |
no | — |
interval |
Interval |
no | — |
cyclic |
boolean |
no | — |
function |
number |
no | Specifies the validity of each single value along a time series, i.e either from the last value up to the current data/time or from the current date/time to the next value. |
timeZone |
string |
no | Identifies the time zone in which a time series is defined. This may impact calculation results, especially during daylight savings time transitions. |
{ "data": [ { "value": 0, "flag": 9, "time": "2026-01-01T00:00:00Z" } ], "unit": { "storageInformation": { "repositoryName": "string" }, "identifier": "string" }, "interval": { "type": 2, "multiplier": 0 }, "cyclic": true, "function": 2, "timeZone": "Europe/Vienna"}| Name | Type | Required | Description |
|---|---|---|---|
data |
TimeSeriesDataOfDouble[] |
no | — |
unit |
UnitReference |
no | — |
interval |
Interval |
no | — |
cyclic |
boolean |
no | — |
function |
number |
no | Specifies the validity of each single value along a time series, i.e either from the last value up to the current data/time or from the current date/time to the next value. |
timeZone |
string |
no | Identifies the time zone in which a time series is defined. This may impact calculation results, especially during daylight savings time transitions. |
{ "data": [ { "value": 0, "flag": 9, "time": "2026-01-01T00:00:00Z" } ], "unit": { "storageInformation": { "repositoryName": "string" }, "identifier": "string" }, "interval": { "type": 2, "multiplier": 0 }, "cyclic": true, "function": 2, "timeZone": "Europe/Vienna"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Was this page helpful?Thanks for your feedback!